Skip to main content
GET
/
v1
/
elastic-ips
/
{id}
Get elastic IP
curl --request GET \
  --url https://console.gmicloud.ai/api/v1/elastic-ips/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://console.gmicloud.ai/api/v1/elastic-ips/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://console.gmicloud.ai/api/v1/elastic-ips/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "internetConnectionType": "Dual-Homed",
  "maxBandwidth": "100 Gbps",
  "name": "<string>",
  "idc": "<string>",
  "ipAddress": "<string>",
  "product": "<string>",
  "instanceID": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

successful

id
string<uuid>
required
orgId
string<uuid>
required

if nil, it means the elastic IP is not associated with any instance

status
enum<string>
required
Available options:
released,
associated,
disassociated
internetConnectionType
enum<string>
default:Dual-Homed
required
Available options:
BGP,
Dual-Homed
maxBandwidth
string
default:100 Gbps
required
Required string length: 1 - 1048576
name
string
required

Name of the elastic IP

Maximum string length: 255
Pattern: ^([A-Za-z0-9][A-Za-z0-9_\-. ]*)?[A-Za-z0-9]$
idc
string
required
Maximum string length: 50
Pattern: ^[a-zA-Z0-9._-]+$
ipAddress
string
required

IP address of the elastic IP. The longest possible IPv6 address is 39 characters

Required string length: 7 - 39
product
string
required
Maximum string length: 256
Pattern: ^[a-zA-Z0-9._-]+$
instanceID
string<uuid> | null

set instanceID and instanceType to associate the elastic IP to the instance, set to null to disassociate the elastic IP from the instance

instanceType
enum<string> | null
Available options:
baremetal,
container